Description

The error seems to occur when saving from qgis back to Postgresql.

I´m connecting to a Postgresql Database, opening a table that has a json field. I see the data, and I´m trying to add an extra letter to a

field. (attachment print).

The way I see, it seems that QGIS is sending back data as "hstore", but the column from my table is json.

ERROR ALERT:

      Error PostGIS when changing attributes: ERROR:  column "info" is of type jsonb but expression is of type hstore

    LINE 1: ...TE "geometria"."plan_perimetro_urbano" SET "info"=E'"bike"=>...

                                                                 ^

    HINT:  You will need to rewrite or cast the expression.

Related issues:

Copied from QGIS Application - Bug report # 21310: JSON column from a Postgre... Closed 2019-02-19

History

#1 - 2019-02-19 10:26 PM - Felipe  Souza

- Copied from Bug report #21310: JSON column from a Postgresql Database is working to read information, but when editing the column and saving it, 

an error occurs added

#2 - 2019-02-19 10:32 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from JSON column from a Postgresql Database is working to read information, but when editing the column and saving it, an error 

occurs to add support for editing JSON PostgreSQL datatype

#3 - 2019-05-16 09:33 PM - Felipe  Souza

- Assignee set to Giovanni Manghi

This can be a great tool when you don´t want the user to change the default data from your table, but you let them create filters.

Any news on this?

Thank you.

Felipe  Souza wrote:

The error seems to occur when saving from qgis back to Postgresql.

I´m connecting to a Postgresql Database, opening a table that has a json field. I see the data, and I´m trying to add an extra letter to a field.

(attachment print).

The way I see, it seems that QGIS is sending back data as "hstore", but the column from my table is json.
ERROR ALERT:

Error PostGIS when changing attributes: ERROR:  column "info" is of type jsonb but expression is of type hstore

LINE 1: ...TE "geometria"."plan_perimetro_urbano" SET "info"=E'"bike"=>...

^

HINT:  You will need to rewrite or cast the expression.

#4 - 2019-05-17 07:26 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)
